import { Node } from 'ts-simple-ast';
import * as ts from 'typescript';
export interface CodeFix {
    name: string;
    config: any;
    predicate(diag: ts.Diagnostic[], child: ts.Node, log: (str: string) => void): boolean;
    description(diag: ts.Diagnostic[], child: ts.Node): string;
    apply(diagnostics: ts.Diagnostic[], child: Node, log: (str: string) => void): void;
}
export declare const codeFixes: CodeFix[];
